<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Item extends Model
{

    protected $table = 'items';
    public $timestamps = true;
    protected $fillable = array('brand_id', 'category_id', 'discount_code', 'description', 'url', 'used_count', 'last_used', 'offer','discount_percent','title');

    protected $casts = ['description'=>'json','title'=>'json'];

    public function brand()
    {
        return $this->belongsTo(Brand::class, 'brand_id');
    }

    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id');
    }

}
