<!DOCTYPE html>
        @if(\App::getLocale() == 'en')
    <html dir="ltr" lang="en">
        @else
        <html dir="rtl" lang="ar">
        @endif
        <head>
            <meta charset="UTF-8">
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <meta http-equiv="X-UA-Compatible" content="ie=edge">


            <meta property="og:title" content="وفرها" />
            <meta property="og:url" content="https://alkhalaffamily.com/" />
            <meta property="og:image" content="{{asset('site/img/logo.svg')}}" />
            <meta property="og:description" content="وفرها هو تطبيق يقدم لك العديد من كوبونات الخصم المتنوعة للحصول علي أفضل العروض لمختلف الماركات العالمية, حمل التطبيق الآن و استمتع بتجربة فريدة من نوعها.
" />
            <meta property="og:site_name" content="وفرها" />

            <title>@lang('data.siteTitle')</title>
            <link rel="shortcut icon" href="{{asset('site/img/logo.svg')}}"/>

            <link rel="stylesheet" href="{{asset('site/css/bootstrap.min.css')}}">
            <link rel="stylesheet" href="{{asset('site/css/all.css')}}">
            <link rel="stylesheet" href="{{asset('site/css/sass/style.css')}}">



            <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>


            <meta name="csrf-token" content="{{ csrf_token() }}"/>

        </head>

        <body>
        <!-- start nav -->
        <div class="responsive_nav">
            <a href="{{route('home')}}"> <img src="{{asset('site/img/logo.svg')}}" alt=""></a>
            <div class="bar">
                <i class="fas fa-bars"></i>
            </div>
        </div>
        <nav>
            <div class="container">
                <div class="nav_item">
                    <div class="logo md_none">
                        <a href="{{route('home')}}"><img src="{{asset('site/img/logo.svg')}}" alt=""></a>
                    </div>
                    <div class="filter_bar">
                        <form method="get" action="{{route('searchCoupons')}}">

                            <button type="submit">
                                <img src="{{asset('site/img/search.svg')}}" alt="">
                            </button>

                            <input required name="search" type="text" placeholder="@lang('data.searchForCoupons')">
                        </form>
                        <div class="co_drop">
                            <button class="">
                                <img src="{{asset('site/img/filter.svg')}}" alt="">

                            </button>
                            <form method="get" action="{{route('couponFilter')}}">
                                <div class="drop_bo">
                                    <div class="form_input">
                                        <select required name="filter" id="">
                                            <option value="high_discount">@lang('data.highestSale')</option>
                                            <option value="alpha_asc">@lang('data.A-Z')</option>
                                            <option value="alpha_desc">@lang('data.Z-A')</option>

                                        </select>
                                    </div>
                                    <div class="submit_but">
                                        <button class="login_btn"> @lang('data.Search')</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="container_lan md_none">
                        <div class="cont_lang ">
                            @if(\App::getLocale() == 'ar')

                                <a href="{{route('language','en')}}">
                                    <span>ENGLISH</span>
                                    <img src="{{asset('site/img/lang.svg')}}" alt="">
                                </a>
                            @else
                                <a href="{{route('language','ar')}}">
                                    <span>عربى</span>
                                    <img src="{{asset('site/img/lang.svg')}}" alt="">
                                </a>
                            @endif
                        </div>
                        @if(\Auth::check())
                            <div class="login-droup">
                                <ul>


                                    <li>
                                        <div class="item-h">

                                            <img src="{{asset('site/img/user.svg')}}" alt="">
                                        </div>
                                        <div class="item-d">
                                            <!-- <p class="td-title">القائمة</p> -->
                                            <ul>
                                                <li>
                                                    <a href="{{route('profile')}}">
                                                        <img src="{{asset('site/img/edit.svg')}}" alt="">
                                                        <span>@lang('data.profile')</span>
                                                    </a>
                                                </li>
                                                <li class="red">
                                                    <a href="{{route('userLogout')}}">
                                                        <img src="{{asset('site/img/Login.svg')}}" alt="">
                                                        <span>@lang('data.logoutFromSite')</span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>

                                </ul>
                            </div>
                        @else
                            <div class="login_content">

                                <a id="loginAction" style="cursor: default;" class="log_in">
                                    @lang('data.login')
                                </a>
                            </div>
                        @endif

                    </div>
                </div>

            </div>
        </nav>
        <div class="links_a">
            <div class="container">
                <ul>
                    <li><a class="active" href="{{route('home')}}">@lang('data.home')</a></li>
                    @if(\Auth::check())
                        <li><a href="{{route('favourites')}}">@lang('data.favourites')</a></li>
                        <li><a href="{{route('notifications')}}">@lang('data.notifications')</a></li>
                        <li><a href="{{route('usedCoupons')}}">@lang('data.usedCoupons')</a></li>
                    @endif
                    <li><a href="{{route('suggestCouponIndex')}}">@lang('data.suggestCoupon')</a></li>

                </ul>
                <div class="container_lan md_show">
                    <div class="cont_lang ">
                        <a href="">
                            <span>ENGLISH</span>
                            <img src="{{asset('site/img/lang.svg')}}" alt="">
                        </a>
                    </div>
                    <div class="login_content">

                        <a id="loginAction" style="cursor: default;" class="log_in">
                            @lang('data.login')
                        </a>
                    </div>
                </div>
            </div>
        </div>
        @yield('contents')
        @include('sweetalert::alert')

        <!-- start  -->
        <footer style="">
            <div class="container">
                <div class="foot-top">

                    <div class="logo-img">
                        <a href="{{route('home')}}"> <img src="{{asset('site/img/logo-f.svg')}}" alt=""></a>
                    </div>
                    <ul>
                        @if(\Auth::check())

                            <li><a href="{{route('usedCoupons')}}">@lang('data.usedCoupons')</a></li>
                        @endif
                        <li><a href="{{route('suggestCouponIndex')}}">@lang('data.suggestCoupon')</a></li>
                        <li><a href="{{route('help')}}">@lang('data.helpSection')</a></li>

                    </ul>


                </div>
                <div class="foot-buttom">
                    <h6>جميع الحقوق محفوظة لموقع <span>وفرها </span> {{\Carbon\Carbon::now()->format("Y")}}</h6>


                    <a href="https://headshot.com.sa/" target="_blank">
                        <h6>برمجه وتصميم شركة <span>هيدشوت </span> {{\Carbon\Carbon::now()->format("Y")}}</h6>
                    </a>
                </div>
            </div>


            {{--  LOGIN - REGISTER _ FORGET PASSWORD POP UP  --}}
            <div style="display: none" id="loginForm" class="login_container">
                <div class="login_body">
                    <button id="closeLogin" style=" width: 20px;
        height: 20px;
        display: flex;
        background: #2fb2a2;
        align-items: center;
        color: #fff;
        justify-content: center;
        border-radius: 50%;">
                        <i class="fa fa-times-circle"></i>
                    </button>
                    <h6>@lang('data.welcome')</h6>
                    <h5>@lang('data.loginToAccount')</h5>
                    <form method="post" action="{{route('authentication')}}">
                        @csrf
                        <div class="form_input">
                            <input type="email" name="email" required placeholder="@lang('data.email') ">
                        </div>
                        <div class="form_input">
                            <input type="password" required name="password" placeholder="@lang('data.password') ">
                        </div>
                        <div class="save_password">
                            <label for="tt">
                                <input type="checkbox" id="tt">
                                <span>@lang('data.savePassword')</span>
                            </label>
                        </div>
                        <div class="forget_p">
                            <a style="cursor:default;" onclick="showForgetPassword()">@lang('data.forgetPassword?')</a>
                        </div>
                        <div class="submit_but">
                            <button type="submit" class="login_btn"> @lang('data.login')</button>
                            <a id="registerAction" style="cursor: default;" class="lo_btn"> @lang('data.register')</a>
                        </div>
                    </form>

                </div>
            </div>


            <div style="display: none" id="registerFrom" class="login_container">
                <div class="login_body">
                    <button id="closeRegister" style=" width: 20px;
        height: 20px;
        display: flex;
        background: #2fb2a2;
        align-items: center;
        color: #fff;
        justify-content: center;
        border-radius: 50%;">
                        <i class="fa fa-times-circle"></i>
                    </button>
                    <h6>@lang('data.register')</h6>
                    <form method="post" action="{{route('register')}}">
                        @csrf

                        <div class="form_input">
                            <input type="text" name="name" required placeholder="@lang('data.fullName') ">
                        </div>
                        <div class="form_input">
                            <input type="email" name="email" placeholder="@lang('data.email') ">
                        </div>
                        <div class="form_input">
                            <input type="password" name="password" placeholder="@lang('data.password') ">
                        </div>

                        <div class="submit_but">
                            <button type="submit" class="login_btn"> @lang('data.register')</button>
                            <button type="button" style="cursor: default" onclick="closeRegisterOpenLogin()"
                                    class="lo_btn"> @lang('data.login')
                            </button>

                        </div>


                    </form>
                </div>
            </div>


            <div style="display: none" id="forgetPasswordFirstForm" class="login_container">
                <div class="login_body">
                    <button id="closeForgetPasswordFirst" style=" width: 20px;
        height: 20px;
        display: flex;
        background: #2fb2a2;
        align-items: center;
        color: #fff;
        justify-content: center;
        border-radius: 50%;">
                        <i class="fa fa-times-circle"></i>
                    </button>

                    <h6>@lang('data.restorePassword')</h6>
                    <p class="log-m">@lang('data.enterPasswordToRecover')</p>

                    <div class="form_input">
                        <input type="email" name="email" id="forgetPasswordFirstEmail"
                               placeholder="@lang('data.email') ">
                    </div>


                    <div class="submit_but">
                        <button type="button" id="forgetPasswordFirstSubmit"
                                class="login_btn"> @lang('data.send')</button>
                        <button type="button" style="cursor: default" onclick="closeRegisterOpenLogin()"
                                class="lo_btn"> @lang('data.login')
                        </button>
                    </div>


                </div>
            </div>

            <div style="display:none;" id="forgetOtpForm" class="login_container">
                <div class="login_body">
                    <button id="closeOtpForm" style=" width: 20px;
        height: 20px;
        display: flex;
        background: #2fb2a2;
        align-items: center;
        color: #fff;
        justify-content: center;
        border-radius: 50%;">
                        <i class="fa fa-times-circle"></i>
                    </button>
                    <h6>@lang('data.enterCode')</h6>
                    <p class="log-m">@lang('data.enterCodeSent')</p>

                    <div class="form_input">
                        <input name="code" type="text" id="otp" placeholder="@lang('data.verificationCode') ">
                    </div>
                    <div class="submit_but">
                        <button type="button" id="checkOtp" class="login_btn"> @lang('data.accept')</button>
                        <!-- <a href="" class="lo_btn"> تسجيل دخول</a> -->
                    </div>


                </div>
            </div>
            <div style="display: none" id="changePassword" class="login_container">
                <div class="login_body">
                    <button id="closeChangePassword" style=" width: 20px;
        height: 20px;
        display: flex;
        background: #2fb2a2;
        align-items: center;
        color: #fff;
        justify-content: center;
        border-radius: 50%;">
                        <i class="fa fa-times-circle"></i>
                    </button>
                    <h6>@lang('data.newPasswordPop')</h6>
                    <p class="log-m">@lang('data.enterNewPassword')</p>

                    <div class="form_input">
                        <input type="password" id="new_password" placeholder=" @lang('data.newPassword') ">
                    </div>
                    <div class="form_input">
                        <input type="password" id="new_password_confirmation"
                               placeholder="@lang('data.newPasswordConfirmation') ">
                    </div>


                    <div class="submit_but">
                        <button type="button" id="changePasswordSubmit" class="login_btn"> @lang('data.save')</button>
                        <!-- <a href="" class="lo_btn"> تسجيل دخول</a> -->
                    </div>


                </div>
            </div>

            {{--     END POP UPS   --}}


        </footer>
        <!-- end -->
        <script src="{{asset('site/js/jquery-3.2.1.min.js')}}"></script>
        <script src="{{asset('site/js/poper.min.js')}}"></script>
        <script src="{{asset('site/js/bootstrap.min.js')}}"></script>
        <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
        <script src="{{asset('site/js/all.js')}}"></script>
        <script src="{{asset('site/js/owl.carousel.js')}}"></script>
        <script src="{{asset('site/js/main.js')}}"></script>
        <script>
            $.ajaxSetup({

                headers: {

                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

                }

            });
            $("#loginAction").on('click', function () {
                $("#forgetPasswordFirstForm").hide();
                $("#registerFrom").hide();
                $("#loginForm").show();
            });
            $("#closeLogin").on('click', function () {
                $("#loginForm").hide();
            });
            $("#registerAction").on('click', function () {
                $("#loginForm").hide();
                $("#registerFrom").show();
            });
            $("#closeRegister").on('click', function () {
                $("#registerFrom").hide();
            });

            function closeRegisterOpenLogin() {
                $("#registerFrom").hide();
                $("#forgetPasswordFirstForm").hide();

                $("#loginForm").show();

            }

            function showForgetPassword() {

                $("#loginForm").hide();
                $("#forgetPasswordFirstForm").show();
            }

            $("#closeForgetPasswordFirst").on('click', function () {
                $("#forgetPasswordFirstForm").hide();

            });
            $("#forgetPasswordFirstSubmit").on('click', function () {
                console.log('farouz');
                var email = $("#forgetPasswordFirstEmail").val();
                $.ajax({
                    type: "POST",
                    url: "{{route('firstForgetPassword')}}",
                    data: {email: email},
                    success: (data) => {

                        if (data.value == true) {
                            console.log('here');
                            $("#forgetPasswordFirstForm").hide();
                            $("#forgetOtpForm").show();
                            $("#forgetPasswordFirstEmail").val(' ');
                            Swal.fire({
                                title: 'Success!',
                                text: data.data,
                                icon: 'success',
                                confirmButtonText: 'Close'
                            });
                        } else {
                            Swal.fire({
                                title: 'Error!',
                                text: data.msg,
                                icon: 'error',
                                confirmButtonText: 'Close'
                            });
                        }
                    }
                })
            });
            $("#closeOtpForm").on('click', function () {
                $("#forgetOtpForm").hide();
            });
            $("#checkOtp").on('click', function () {
                var code = $("#otp").val();
                $.ajax({
                    type: "POST",
                    url: "{{route('checkOtp')}}",
                    data: {code: code},
                    success: (data) => {
                        if (data.value == true) {
                            $("#forgetOtpForm").hide();
                            $("#changePassword").show();
                            $("#otp").val(' ');
                            Swal.fire({
                                title: 'Success!',
                                text: data.data,
                                icon: 'success',
                                confirmButtonText: 'Close'
                            });

                        } else {
                            Swal.fire({
                                title: 'Error!',
                                text: data.msg,
                                icon: 'error',
                                confirmButtonText: 'Close'
                            });
                        }
                    }
                })
            });
            $("#closeChangePassword").on('click', function () {
                $("#changePassword").hide();
            });
            $("#changePasswordSubmit").on('click', function () {
                var new_password = $("#new_password").val();
                var new_password_confirmation = $("#new_password_confirmation").val();
                $.ajax({
                    type: "POST",
                    url: "{{route('changeNewPassword')}}",
                    data: {
                        new_password: new_password,
                        new_password_confirmation: new_password_confirmation
                    },
                    success: (data) => {
                        if (data.value == true) {
                            $("#changePassword").hide();
                            $("#loginForm").show();
                            $("#new_password").val(' ');
                            $("#new_password_confirmation").val(' ');
                            Swal.fire({
                                title: 'Success!',
                                text: data.data,
                                icon: 'success',
                                confirmButtonText: 'Close'
                            });


                        } else {
                            Swal.fire({
                                title: 'Error!',
                                text: data.msg,
                                icon: 'error',
                                confirmButtonText: 'Close'
                            });
                        }
                    }
                })
            });

            function copy_data(containerid, item_id) {
                console.log(containerid);

                var range = document.createRange();

                range.selectNode(containerid); //changed here

                window.getSelection().removeAllRanges();
                window.getSelection().addRange(range);
                document.execCommand("copy");
                window.getSelection().removeAllRanges();
                // alert("data copied");
                $.ajax({
                    type: "POST",
                    data: {item_id: item_id},
                    url: "{{route('userCoupon')}}",
                    success: () => {
                        console.log('coupon used');
                    }
                })
            }


        </script>

        </body>

        </html>
        <!--  -->
