<?php

namespace App\Http\Controllers\Site;

use App\Models\Item;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Request;
use Illuminate\Support\Facades\Route;


Route::get('trim',function (){
   $items = Item::all();
   foreach ($items as $item){
       $item->discount_percent = trim($item->discount_percent,'%');
       $item->update();
   }
   dd('noe');

});
$locale = Request::segment(1);

if ($locale == Config::get('app.available_locales')) {
    \App::setLocale($locale);
} else {
    $locale = null;
}


Route::get('/language/{lang}', [HomeController::class, 'change_language_web'])->name('language')->middleware('lang');
Route::group(['prefix' => $locale, 'middleware' => 'lang'], function () {


    Route::group(['namespace' => 'Site'], function () {




        Route::get('/', [HomeController::class, 'index'])->name('home');
        Route::post('authentication', [HomeController::class, 'authentication'])->name('authentication');
        Route::post('register', [HomeController::class, 'register'])->name('register');
        Route::post('firstForgetPassword', [HomeController::class, 'firstForgetPassword'])->name('firstForgetPassword');
        Route::post('checkOtp', [HomeController::class, 'checkOtp'])->name('checkOtp');
        Route::post('changeNewPassword', [HomeController::class, 'changeNewPassword'])->name('changeNewPassword');
        Route::get('showAllItems/{category_id}', [ItemsController::class, 'showAllItems'])->name('showAllItems');
        Route::get('help', [HelpController::class, 'help'])->name('help');
        Route::post('help_post', [HelpController::class, 'help_post'])->name('help_post');
        Route::post('userCoupon', [ItemsController::class, 'userCoupon'])->name('userCoupon');
        Route::get('searchCoupons', [ItemsController::class, 'searchCoupons'])->name('searchCoupons');
        Route::get('couponFilter', [ItemsController::class, 'couponFilter'])->name('couponFilter');
        Route::get('suggestCouponIndex', [SuggestCouponsController::class, 'index'])->name('suggestCouponIndex');
        Route::post('suggestCouponStore', [SuggestCouponsController::class, 'store'])->name('suggestCouponStore');
        Route::group(['middleware' => 'userAuth'], function () {
            Route::get('userLogout', [HomeController::class, 'userLogout'])->name('userLogout');
            Route::get('notifications', [NotificationsController::class, 'notifications'])->name('notifications');
            Route::get('delete_notifications', [NotificationsController::class, 'delete_notifications'])->name('delete_notifications');
            Route::get('favItem/{item_id}', [ItemsController::class, 'favItem'])->name('favItem');
            Route::get('favourites', [ItemsController::class, 'favourites'])->name('favourites');
            Route::get('usedCoupons', [ItemsController::class, 'usedCoupons'])->name('usedCoupons');
            Route::get('removeUsedCoupon/{item_id}', [ItemsController::class, 'removeUsedCoupon'])->name('removeUsedCoupon');

            // USER
            Route::get('profile', [ProfileController::class, 'profile'])->name('profile');
        });
        Route::post('updateProfile',[ProfileController::class,'updateProfile'])->name('updateProfile');
        Route::post('updatePassword',[ProfileController::class,'updatePassword'])->name('updatePassword');
    });

});
