<!DOCTYPE html>
        <?php if(\App::getLocale() == 'en'): ?>
    <html dir="ltr" lang="en">
        <?php else: ?>
        <html dir="rtl" lang="ar">
        <?php endif; ?>
        <head>
            <meta charset="UTF-8">
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <meta http-equiv="X-UA-Compatible" content="ie=edge">


            <meta property="og:title" content="وفرها" />
            <meta property="og:url" content="https://alkhalaffamily.com/" />
            <meta property="og:image" content="<?php echo e(asset('site/img/logo.svg')); ?>" />
            <meta property="og:description" content="وفرها هو تطبيق يقدم لك العديد من كوبونات الخصم المتنوعة للحصول علي أفضل العروض لمختلف الماركات العالمية, حمل التطبيق الآن و استمتع بتجربة فريدة من نوعها.
" />
            <meta property="og:site_name" content="وفرها" />

            <title><?php echo app('translator')->get('data.siteTitle'); ?></title>
            <link rel="shortcut icon" href="<?php echo e(asset('site/img/logo.svg')); ?>"/>

            <link rel="stylesheet" href="<?php echo e(asset('site/css/bootstrap.min.css')); ?>">
            <link rel="stylesheet" href="<?php echo e(asset('site/css/all.css')); ?>">
            <link rel="stylesheet" href="<?php echo e(asset('site/css/sass/style.css')); ?>">



            <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>


            <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>"/>

        </head>

        <body>
        <!-- start nav -->
        <div class="responsive_nav">
            <a href="<?php echo e(route('home')); ?>"> <img src="<?php echo e(asset('site/img/logo.svg')); ?>" alt=""></a>
            <div class="bar">
                <i class="fas fa-bars"></i>
            </div>
        </div>
        <nav>
            <div class="container">
                <div class="nav_item">
                    <div class="logo md_none">
                        <a href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('site/img/logo.svg')); ?>" alt=""></a>
                    </div>
                    <div class="filter_bar">
                        <form method="get" action="<?php echo e(route('searchCoupons')); ?>">

                            <button type="submit">
                                <img src="<?php echo e(asset('site/img/search.svg')); ?>" alt="">
                            </button>

                            <input required name="search" type="text" placeholder="<?php echo app('translator')->get('data.searchForCoupons'); ?>">
                        </form>
                        <div class="co_drop">
                            <button class="">
                                <img src="<?php echo e(asset('site/img/filter.svg')); ?>" alt="">

                            </button>
                            <form method="get" action="<?php echo e(route('couponFilter')); ?>">
                                <div class="drop_bo">
                                    <div class="form_input">
                                        <select required name="filter" id="">
                                            <option value="high_discount"><?php echo app('translator')->get('data.highestSale'); ?></option>
                                            <option value="alpha_asc"><?php echo app('translator')->get('data.A-Z'); ?></option>
                                            <option value="alpha_desc"><?php echo app('translator')->get('data.Z-A'); ?></option>

                                        </select>
                                    </div>
                                    <div class="submit_but">
                                        <button class="login_btn"> <?php echo app('translator')->get('data.Search'); ?></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="container_lan md_none">
                        <div class="cont_lang ">
                            <?php if(\App::getLocale() == 'ar'): ?>

                                <a href="<?php echo e(route('language','en')); ?>">
                                    <span>ENGLISH</span>
                                    <img src="<?php echo e(asset('site/img/lang.svg')); ?>" alt="">
                                </a>
                            <?php else: ?>
                                <a href="<?php echo e(route('language','ar')); ?>">
                                    <span>عربى</span>
                                    <img src="<?php echo e(asset('site/img/lang.svg')); ?>" alt="">
                                </a>
                            <?php endif; ?>
                        </div>
                        <?php if(\Auth::check()): ?>
                            <div class="login-droup">
                                <ul>


                                    <li>
                                        <div class="item-h">

                                            <img src="<?php echo e(asset('site/img/user.svg')); ?>" alt="">
                                        </div>
                                        <div class="item-d">
                                            <!-- <p class="td-title">القائمة</p> -->
                                            <ul>
                                                <li>
                                                    <a href="<?php echo e(route('profile')); ?>">
                                                        <img src="<?php echo e(asset('site/img/edit.svg')); ?>" alt="">
                                                        <span><?php echo app('translator')->get('data.profile'); ?></span>
                                                    </a>
                                                </li>
                                                <li class="red">
                                                    <a href="<?php echo e(route('userLogout')); ?>">
                                                        <img src="<?php echo e(asset('site/img/Login.svg')); ?>" alt="">
                                                        <span><?php echo app('translator')->get('data.logoutFromSite'); ?></span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>

                                </ul>
                            </div>
                        <?php else: ?>
                            <div class="login_content">

                                <a id="loginAction" style="cursor: default;" class="log_in">
                                    <?php echo app('translator')->get('data.login'); ?>
                                </a>
                            </div>
                        <?php endif; ?>

                    </div>
                </div>

            </div>
        </nav>
        <div class="links_a">
            <div class="container">
                <ul>
                    <li><a class="active" href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('data.home'); ?></a></li>
                    <?php if(\Auth::check()): ?>
                        <li><a href="<?php echo e(route('favourites')); ?>"><?php echo app('translator')->get('data.favourites'); ?></a></li>
                        <li><a href="<?php echo e(route('notifications')); ?>"><?php echo app('translator')->get('data.notifications'); ?></a></li>
                        <li><a href="<?php echo e(route('usedCoupons')); ?>"><?php echo app('translator')->get('data.usedCoupons'); ?></a></li>
                    <?php endif; ?>
                    <li><a href="<?php echo e(route('suggestCouponIndex')); ?>"><?php echo app('translator')->get('data.suggestCoupon'); ?></a></li>

                </ul>
                <div class="container_lan md_show">
                    <div class="cont_lang ">
                        <a href="">
                            <span>ENGLISH</span>
                            <img src="<?php echo e(asset('site/img/lang.svg')); ?>" alt="">
                        </a>
                    </div>
                    <div class="login_content">

                        <a id="loginAction" style="cursor: default;" class="log_in">
                            <?php echo app('translator')->get('data.login'); ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <?php echo $__env->yieldContent('contents'); ?>
        <?php echo $__env->make('sweetalert::alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <!-- start  -->
        <footer style="">
            <div class="container">
                <div class="foot-top">

                    <div class="logo-img">
                        <a href="<?php echo e(route('home')); ?>"> <img src="<?php echo e(asset('site/img/logo-f.svg')); ?>" alt=""></a>
                    </div>
                    <ul>
                        <?php if(\Auth::check()): ?>

                            <li><a href="<?php echo e(route('usedCoupons')); ?>"><?php echo app('translator')->get('data.usedCoupons'); ?></a></li>
                        <?php endif; ?>
                        <li><a href="<?php echo e(route('suggestCouponIndex')); ?>"><?php echo app('translator')->get('data.suggestCoupon'); ?></a></li>
                        <li><a href="<?php echo e(route('help')); ?>"><?php echo app('translator')->get('data.helpSection'); ?></a></li>

                    </ul>


                </div>
                <div class="foot-buttom">
                    <h6>جميع الحقوق محفوظة لموقع <span>وفرها </span> <?php echo e(\Carbon\Carbon::now()->format("Y")); ?></h6>


                    <a href="https://headshot.com.sa/" target="_blank">
                        <h6>برمجه وتصميم شركة <span>هيدشوت </span> <?php echo e(\Carbon\Carbon::now()->format("Y")); ?></h6>
                    </a>
                </div>
            </div>


            
            <div style="display: none" id="loginForm" class="login_container">
                <div class="login_body">
                    <button id="closeLogin" style=" width: 20px;
        height: 20px;
        display: flex;
        background: #2fb2a2;
        align-items: center;
        color: #fff;
        justify-content: center;
        border-radius: 50%;">
                        <i class="fa fa-times-circle"></i>
                    </button>
                    <h6><?php echo app('translator')->get('data.welcome'); ?></h6>
                    <h5><?php echo app('translator')->get('data.loginToAccount'); ?></h5>
                    <form method="post" action="<?php echo e(route('authentication')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="form_input">
                            <input type="email" name="email" required placeholder="<?php echo app('translator')->get('data.email'); ?> ">
                        </div>
                        <div class="form_input">
                            <input type="password" required name="password" placeholder="<?php echo app('translator')->get('data.password'); ?> ">
                        </div>
                        <div class="save_password">
                            <label for="tt">
                                <input type="checkbox" id="tt">
                                <span><?php echo app('translator')->get('data.savePassword'); ?></span>
                            </label>
                        </div>
                        <div class="forget_p">
                            <a style="cursor:default;" onclick="showForgetPassword()"><?php echo app('translator')->get('data.forgetPassword?'); ?></a>
                        </div>
                        <div class="submit_but">
                            <button type="submit" class="login_btn"> <?php echo app('translator')->get('data.login'); ?></button>
                            <a id="registerAction" style="cursor: default;" class="lo_btn"> <?php echo app('translator')->get('data.register'); ?></a>
                        </div>
                    </form>

                </div>
            </div>


            <div style="display: none" id="registerFrom" class="login_container">
                <div class="login_body">
                    <button id="closeRegister" style=" width: 20px;
        height: 20px;
        display: flex;
        background: #2fb2a2;
        align-items: center;
        color: #fff;
        justify-content: center;
        border-radius: 50%;">
                        <i class="fa fa-times-circle"></i>
                    </button>
                    <h6><?php echo app('translator')->get('data.register'); ?></h6>
                    <form method="post" action="<?php echo e(route('register')); ?>">
                        <?php echo csrf_field(); ?>

                        <div class="form_input">
                            <input type="text" name="name" required placeholder="<?php echo app('translator')->get('data.fullName'); ?> ">
                        </div>
                        <div class="form_input">
                            <input type="email" name="email" placeholder="<?php echo app('translator')->get('data.email'); ?> ">
                        </div>
                        <div class="form_input">
                            <input type="password" name="password" placeholder="<?php echo app('translator')->get('data.password'); ?> ">
                        </div>

                        <div class="submit_but">
                            <button type="submit" class="login_btn"> <?php echo app('translator')->get('data.register'); ?></button>
                            <button type="button" style="cursor: default" onclick="closeRegisterOpenLogin()"
                                    class="lo_btn"> <?php echo app('translator')->get('data.login'); ?>
                            </button>

                        </div>


                    </form>
                </div>
            </div>


            <div style="display: none" id="forgetPasswordFirstForm" class="login_container">
                <div class="login_body">
                    <button id="closeForgetPasswordFirst" style=" width: 20px;
        height: 20px;
        display: flex;
        background: #2fb2a2;
        align-items: center;
        color: #fff;
        justify-content: center;
        border-radius: 50%;">
                        <i class="fa fa-times-circle"></i>
                    </button>

                    <h6><?php echo app('translator')->get('data.restorePassword'); ?></h6>
                    <p class="log-m"><?php echo app('translator')->get('data.enterPasswordToRecover'); ?></p>

                    <div class="form_input">
                        <input type="email" name="email" id="forgetPasswordFirstEmail"
                               placeholder="<?php echo app('translator')->get('data.email'); ?> ">
                    </div>


                    <div class="submit_but">
                        <button type="button" id="forgetPasswordFirstSubmit"
                                class="login_btn"> <?php echo app('translator')->get('data.send'); ?></button>
                        <button type="button" style="cursor: default" onclick="closeRegisterOpenLogin()"
                                class="lo_btn"> <?php echo app('translator')->get('data.login'); ?>
                        </button>
                    </div>


                </div>
            </div>

            <div style="display:none;" id="forgetOtpForm" class="login_container">
                <div class="login_body">
                    <button id="closeOtpForm" style=" width: 20px;
        height: 20px;
        display: flex;
        background: #2fb2a2;
        align-items: center;
        color: #fff;
        justify-content: center;
        border-radius: 50%;">
                        <i class="fa fa-times-circle"></i>
                    </button>
                    <h6><?php echo app('translator')->get('data.enterCode'); ?></h6>
                    <p class="log-m"><?php echo app('translator')->get('data.enterCodeSent'); ?></p>

                    <div class="form_input">
                        <input name="code" type="text" id="otp" placeholder="<?php echo app('translator')->get('data.verificationCode'); ?> ">
                    </div>
                    <div class="submit_but">
                        <button type="button" id="checkOtp" class="login_btn"> <?php echo app('translator')->get('data.accept'); ?></button>
                        <!-- <a href="" class="lo_btn"> تسجيل دخول</a> -->
                    </div>


                </div>
            </div>
            <div style="display: none" id="changePassword" class="login_container">
                <div class="login_body">
                    <button id="closeChangePassword" style=" width: 20px;
        height: 20px;
        display: flex;
        background: #2fb2a2;
        align-items: center;
        color: #fff;
        justify-content: center;
        border-radius: 50%;">
                        <i class="fa fa-times-circle"></i>
                    </button>
                    <h6><?php echo app('translator')->get('data.newPasswordPop'); ?></h6>
                    <p class="log-m"><?php echo app('translator')->get('data.enterNewPassword'); ?></p>

                    <div class="form_input">
                        <input type="password" id="new_password" placeholder=" <?php echo app('translator')->get('data.newPassword'); ?> ">
                    </div>
                    <div class="form_input">
                        <input type="password" id="new_password_confirmation"
                               placeholder="<?php echo app('translator')->get('data.newPasswordConfirmation'); ?> ">
                    </div>


                    <div class="submit_but">
                        <button type="button" id="changePasswordSubmit" class="login_btn"> <?php echo app('translator')->get('data.save'); ?></button>
                        <!-- <a href="" class="lo_btn"> تسجيل دخول</a> -->
                    </div>


                </div>
            </div>

            


        </footer>
        <!-- end -->
        <script src="<?php echo e(asset('site/js/jquery-3.2.1.min.js')); ?>"></script>
        <script src="<?php echo e(asset('site/js/poper.min.js')); ?>"></script>
        <script src="<?php echo e(asset('site/js/bootstrap.min.js')); ?>"></script>
        <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
        <script src="<?php echo e(asset('site/js/all.js')); ?>"></script>
        <script src="<?php echo e(asset('site/js/owl.carousel.js')); ?>"></script>
        <script src="<?php echo e(asset('site/js/main.js')); ?>"></script>
        <script>
            $.ajaxSetup({

                headers: {

                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

                }

            });
            $("#loginAction").on('click', function () {
                $("#forgetPasswordFirstForm").hide();
                $("#registerFrom").hide();
                $("#loginForm").show();
            });
            $("#closeLogin").on('click', function () {
                $("#loginForm").hide();
            });
            $("#registerAction").on('click', function () {
                $("#loginForm").hide();
                $("#registerFrom").show();
            });
            $("#closeRegister").on('click', function () {
                $("#registerFrom").hide();
            });

            function closeRegisterOpenLogin() {
                $("#registerFrom").hide();
                $("#forgetPasswordFirstForm").hide();

                $("#loginForm").show();

            }

            function showForgetPassword() {

                $("#loginForm").hide();
                $("#forgetPasswordFirstForm").show();
            }

            $("#closeForgetPasswordFirst").on('click', function () {
                $("#forgetPasswordFirstForm").hide();

            });
            $("#forgetPasswordFirstSubmit").on('click', function () {
                console.log('farouz');
                var email = $("#forgetPasswordFirstEmail").val();
                $.ajax({
                    type: "POST",
                    url: "<?php echo e(route('firstForgetPassword')); ?>",
                    data: {email: email},
                    success: (data) => {

                        if (data.value == true) {
                            console.log('here');
                            $("#forgetPasswordFirstForm").hide();
                            $("#forgetOtpForm").show();
                            $("#forgetPasswordFirstEmail").val(' ');
                            Swal.fire({
                                title: 'Success!',
                                text: data.data,
                                icon: 'success',
                                confirmButtonText: 'Close'
                            });
                        } else {
                            Swal.fire({
                                title: 'Error!',
                                text: data.msg,
                                icon: 'error',
                                confirmButtonText: 'Close'
                            });
                        }
                    }
                })
            });
            $("#closeOtpForm").on('click', function () {
                $("#forgetOtpForm").hide();
            });
            $("#checkOtp").on('click', function () {
                var code = $("#otp").val();
                $.ajax({
                    type: "POST",
                    url: "<?php echo e(route('checkOtp')); ?>",
                    data: {code: code},
                    success: (data) => {
                        if (data.value == true) {
                            $("#forgetOtpForm").hide();
                            $("#changePassword").show();
                            $("#otp").val(' ');
                            Swal.fire({
                                title: 'Success!',
                                text: data.data,
                                icon: 'success',
                                confirmButtonText: 'Close'
                            });

                        } else {
                            Swal.fire({
                                title: 'Error!',
                                text: data.msg,
                                icon: 'error',
                                confirmButtonText: 'Close'
                            });
                        }
                    }
                })
            });
            $("#closeChangePassword").on('click', function () {
                $("#changePassword").hide();
            });
            $("#changePasswordSubmit").on('click', function () {
                var new_password = $("#new_password").val();
                var new_password_confirmation = $("#new_password_confirmation").val();
                $.ajax({
                    type: "POST",
                    url: "<?php echo e(route('changeNewPassword')); ?>",
                    data: {
                        new_password: new_password,
                        new_password_confirmation: new_password_confirmation
                    },
                    success: (data) => {
                        if (data.value == true) {
                            $("#changePassword").hide();
                            $("#loginForm").show();
                            $("#new_password").val(' ');
                            $("#new_password_confirmation").val(' ');
                            Swal.fire({
                                title: 'Success!',
                                text: data.data,
                                icon: 'success',
                                confirmButtonText: 'Close'
                            });


                        } else {
                            Swal.fire({
                                title: 'Error!',
                                text: data.msg,
                                icon: 'error',
                                confirmButtonText: 'Close'
                            });
                        }
                    }
                })
            });

            function copy_data(containerid, item_id) {
                console.log(containerid);

                var range = document.createRange();

                range.selectNode(containerid); //changed here

                window.getSelection().removeAllRanges();
                window.getSelection().addRange(range);
                document.execCommand("copy");
                window.getSelection().removeAllRanges();
                // alert("data copied");
                $.ajax({
                    type: "POST",
                    data: {item_id: item_id},
                    url: "<?php echo e(route('userCoupon')); ?>",
                    success: () => {
                        console.log('coupon used');
                    }
                })
            }


        </script>

        </body>

        </html>
        <!--  -->
<?php /**PATH /home/alkhalaffamily/public_html/mowfr/resources/views/site/layouts/master.blade.php ENDPATH**/ ?>